VmAutoscalingGroupSpec:
    subClassOf: ['gax-trust-framework:InstantiationRequirements']
    prefix: 'gax-trust-framework'
    attributes:
    -   title: 'minInstantiatedVM'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:integer'
        cardinality: '0..1'
        description: 'Minimum number of VM instances in the ASG'
        exampleValues: [ '2', '8']

    -   title: 'loadMetric'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..1'
        description: 'Load Metric type - can be of various types'
        exampleValues: [ 'cpu load', 'memory load', 'IO load', 'cost' ]

    -   title: 'loadMetricTarget'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:integer'
        cardinality: '0..1'
        description: 'Per VM instance Load Metric Target value. Must be defined if asgLoadMetric is defined. Must be between Min and Max'
        exampleValues: [ '2', '8']

    -   title: 'loadMetricTargetMin'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:integer'
        cardinality: '0..1'
        description: 'Per VM Load Metric Target value. Must be defined if asgLoadMetric is defined. Must be < Max'
        exampleValues: [ '2', '8']

    -   title: 'loadMetricTargetMax'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:integer'
        cardinality: '0..1'
        description: 'Per VM Load Metric Target value. Must be defined if asgLoadMetric is defined. Must be > Min'
        exampleValues: [ '2', '8']

    -   title: 'asgScalingPlan'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'  # controlled vocab
        cardinality: '0..1'
        description: 'Autoscaling Policy'
        exampleValues: [ 'scale by one instance', 'scale by two instances', 'My Custom Scaling Plan']
